Package org.gitana.platform.client.billing

# Interface PaymentMethod

All Superinterfaces:
  `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Selfable`, `Serializable`

All Known Implementing Classes:
  `PaymentMethodImpl`

public interface PaymentMethod extends org.gitana.platform.GitanaObject, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_EXPIRATION_MONTH`
`static final String`
`FIELD_EXPIRATION_YEAR`
`static final String`
`FIELD_HOLDER_NAME`
`static final String`
`FIELD_ID`
`static final String`
`FIELD_NUMBER`
`static final String`
`FIELD_NUMBER_LAST4`
`static final String`
`FIELD_NUMBER_MASKED`
`static final String`
`FIELD_TYPE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getExpirationMonth()`
`int`
`getExpirationYear()`
`String`
`getHolderName()`
`String`
`getId()`
`String`
`getNumber()`
`String`
`getNumberLastFour()`
`String`
`getNumberMasked()`
`String`
`getType()`
`void`
`setExpirationMonth(int expirationMonth)`
`void`
`setExpirationYear(int expirationYear)`
`void`
`setHolderName(String holderName)`
`void`
`setNumber(String number)`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

## Field Details

### FIELD_ID

static final String FIELD_ID

See Also:
  - Constant Field Values

### FIELD_EXPIRATION_MONTH

static final String FIELD_EXPIRATION_MONTH

See Also:
  - Constant Field Values

### FIELD_EXPIRATION_YEAR

static final String FIELD_EXPIRATION_YEAR

See Also:
  - Constant Field Values

### FIELD_HOLDER_NAME

static final String FIELD_HOLDER_NAME

See Also:
  - Constant Field Values

### FIELD_NUMBER_LAST4

static final String FIELD_NUMBER_LAST4

See Also:
  - Constant Field Values

### FIELD_NUMBER

static final String FIELD_NUMBER

See Also:
  - Constant Field Values

### FIELD_NUMBER_MASKED

static final String FIELD_NUMBER_MASKED

See Also:
  - Constant Field Values

### FIELD_TYPE

static final String FIELD_TYPE

See Also:
  - Constant Field Values

## Method Details

### getId

String getId()

### getExpirationMonth

int getExpirationMonth()

### setExpirationMonth

void setExpirationMonth(int expirationMonth)

### getExpirationYear

int getExpirationYear()

### setExpirationYear

void setExpirationYear(int expirationYear)

### getHolderName

String getHolderName()

### setHolderName

void setHolderName(String holderName)

### getNumber

String getNumber()

### setNumber

void setNumber(String number)

### getNumberLastFour

String getNumberLastFour()

### getNumberMasked

String getNumberMasked()

### getType

String getType()